[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# TRTLCRITICALSECTION

A critical section.

## Declaration

Source position: pmutext.inc line 35

`type TRTLCRITICALSECTION = Opaque type`

## Description

TRTLCriticalSection represents a critical section (a mutex). This is an opaque type, it can differ from operating system to operating system. No assumptions should be made about it's structure or contents.

## See also

InitCriticalSection |  | Initialize a critical section
DoneCriticalSection |  | Clean up a critical section.
EnterCriticalSection |  | Enter a critical section
LeaveCriticalSection |  | Leave a critical section